Message: previous - next
Month: April 2012

Re: [trinity-devel] Building avahi-tqt

From: Darrell Anderson <humanreadable@...>
Date: Fri, 6 Apr 2012 14:04:06 -0700 (PDT)
> > I now am able to build without failures the avahi-tqt
> wrapper package.
> > 
> > I submitted an updated patch to bug report 920 (
> > 
> > Thanks to Leandro for the help!
> > 
> > Darrell
> > 
> Great job Darrell!!
>   It even builds on gcc 4.7 :)

Leandro provided the final clue. :)

I suspect avahi-tqt should build against either Qt3 or TQt3. I don't know whether we need to modify the patch. I won't push to GIT unless a global solution exists that works for all distros.

There are so many of these little paper cut build issues that sit idle in the bug tracker. These issues need to be resolved so everybody can build these packages on any distro without special patching.

According to Tim's previous post these kinds of things should not happen, but they are. Would be nice if one day (soon) we quashed these many bugs. :)

The solution used for avahi-tqt works with kstreamripper too, but I still can't build kstreamripper. The errors now have something to do with undefined reference to vtable. I tried adding kdemacros.h to the preprocessor includes of the affected files, but that did not help. I hate being a C++ noob-boob.